<%@page contentType="text/html;charset=GBK"%>
<%@page import="java.sql.*"%>
<%@ include file="/public/checkvalidadmin.jsp"%>
<jsp:useBean id="conn" scope="page" class="test.ConnOracle"/>
<%!
ResultSet rs = null;
String sql = "";
%>

<%
sql = "select * from test_classinfo";
try {
    rs  = conn.executeQuery( sql );
}catch(Exception ee) {
    out.println("<center>");
	out.println("访问课程信息出错！请将以下信息告知系统管理员。<br>");
	out.println(ee.toString() + "<br>");
	out.println("<a href=javascript:history.back()>单击这里返回</a>");
    out.println("</center>");
}
if(!rs.next()) {
    out.println("数据库中没有课程信息，无法进行组卷操作！");
    return;
}
%>
<HTML>
	<HEAD>
	    <title>察看学生成绩</title>
		<link rel="stylesheet" href="../public/style.css">
	</HEAD>

	<BODY class="ss">
    <br><br><br><br><br><br>
	<center>
       <form action="studentscore_1.jsp" method="post">
	   请选择对应的班级：
	   <select name=classid>
       <%
	   do {
	       out.println("<option value=" + rs.getString("classid") + ">" + rs.getString("classname") + "</option>");
	   }while(rs.next());
	   %>
	   </select>
       <br><br><br><br><br><br><br>
	   <input type="submit" value="选择考试日期">&nbsp;&nbsp;&nbsp;&nbsp;
	   <input type="reset"  value="重新选择">
	   </form>
	</center>
	</BODY>
</HTML>